For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
      • GETGet all a user's workspaces
      • POSTCreate a workspace
      • GETGet workspace
      • PATCHUpdate a workspace
      • GETGet the balance of a workspace
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceWorkspaces

Get all a user's workspaces

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/workspaces/
GET
/api/v1/workspaces/
$curl https://api.prolific.com/api/v1/workspaces/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json"
1{
2 "results": [
3 {
4 "id": "62fce6fff0a78eb4f3ebc09c",
5 "title": "Behavioral Research Group",
6 "description": "Workspace for managing behavioral study projects and participant recruitment",
7 "owner": "60a42f4c693c29420793cb73",
8 "users": [
9 {
10 "id": "60a42f4c693c29420793cb73",
11 "name": "Joe Soap",
12 "email": "joe.soap@gmail.com",
13 "roles": [
14 "WORKSPACE_ADMIN"
15 ]
16 },
17 {
18 "id": "60b55d8e7a1f4c001f8e4a2b",
19 "name": "Anna Smith",
20 "email": "anna.smith@researchlab.com",
21 "roles": [
22 "WORKSPACE_MEMBER"
23 ]
24 }
25 ],
26 "naivety_distribution_rate": 0.5
27 }
28 ]
29}
Gets a list of all workspaces that the user is a member of.
Was this page helpful?
Previous

Workspaces

Next

Create a workspace

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Response

Success
resultslist of objects
List of all workspaces for user

Errors

4XX
Client Request Error